Subject: Re: Getting short name from long name?
From: [email-masked] (John D. Rogers)

4 Feb 1998 16:11:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: James Pearson <[email-masked]>
Cc: [email-masked]

James Pearson wrote:
> 
> Is there any way I can get the short filename from a long filename using
> gnu-win32 on Win95?
> 
> For example, using readdir() gives the long filename as part of the
> returned struct dirent, but I also need to know its short version.
> 
> Is this possible?
> 
> Thanks
> 
> James Pearson
> +------------------------------------------------------------------------+
> Dept. Geomatic Engineering              Email: [email-masked]
> University College London                 WWW: http://www.ge.ucl.ac.uk
> Gower Street
> London  WC1E 6BT
> England
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

I don't know if this will help you or not, but the Win32 API has a
function called GetShortPathName.  The prototype is : 

DWORD GetShortPathName(LPCTSTR lpszLongPath,	// points to a
null-terminated path string
    			LPTSTR lpszShortPath,	// points to a buffer to receive the
null-terminated short form of the path 
    			DWORD cchBuffer 	// specifies the size of the buffer pointed to
by lpszShortPath
   );

Hope you find this useful!
 
John D. Rogers
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".